Skip to content
GET

List locations

https://api.kustom.co/ipp/v1/locations

Returns a paginated list of locations belonging to the authenticated merchant.

Parameters2 fields
  • page_numberinteger · int32optionalin query

    Zero-based page number. Defaults to 0.

  • page_sizeinteger · int32optionalin query

    Page size. Defaults to 20.

200
Response7 fields

Locations retrieved successfully.

  • content[]array<any>optional
  • total_elementsinteger · int64optional
  • total_pagesinteger · int32optional
  • page_numberinteger · int32optional
  • page_sizeinteger · int32optional
  • firstbooleanoptional
  • lastbooleanoptional
400
Response0 fields

Missing or invalid merchant ID header.

No response body — this status returns headers only.

401
Response0 fields

Missing or invalid credentials.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.